package main

import (
	multiplexer "git.randomchars.net/FreeNitori/Multiplexer"
)

func init() {
	m.Route(&multiplexer.Route{
		Pattern:       "close",
		AliasPatterns: []string{"destroy", "exit"},
		Description:   "Close current ticket.",
		Category:      system,
		Handler: func(context *multiplexer.Context) {
			instance, ok := ticketInstancesUser[context.User.ID]
			if !ok {
				instance, ok = ticketInstancesChannel[context.Channel.ID]
				if !ok {
					context.SendMessage("This command is only to be issued in ticket channels or as the ticket user.")
					return
				}
			}
			instance.delete()
		},
	})
}
